# pybridgeapi
bridgeapi.io

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 0.8.5
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/rienafairefr/pybridgeapi.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/rienafairefr/pybridgeapi.git`)

Then import the package:
```python
import bridge 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import bridge
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import bridge
from bridge.rest import ApiException
from pprint import pprint

# Configure API key authorization: ClientId
configuration = bridge.Configuration()
configuration.api_key['client_id'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['client_id'] = 'Bearer'
# Configure API key authorization: ClientSecret
configuration = bridge.Configuration()
configuration.api_key['client_secret'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['client_secret'] = 'Bearer'

# create an instance of the API class
api_instance = bridge.DefaultApi(bridge.ApiClient(configuration))
email = 'email_example' # str | User's email address.
password = 'password_example' # str | User's password. Must be at least 6 characters and less than 255 characters. 
empty_body = bridge.EmptyBody() # EmptyBody |  (optional)

try:
    # Authenticate a User
    api_response = api_instance.authenticate_user(email, password, empty_body=empty_body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->authenticate_user: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://sync.bankin.com/v2*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**authenticate_user**](docs/DefaultApi.md#authenticate_user) | **POST** /authenticate | Authenticate a User
*DefaultApi* | [**check_email_validation**](docs/DefaultApi.md#check_email_validation) | **GET** /users/me/email/confirmation | check Email Validation
*DefaultApi* | [**connect**](docs/DefaultApi.md#connect) | **GET** /connect/items/add/url | Returns the URL to Bridge&#39;s Connect funnel for adding an item
*DefaultApi* | [**create_user**](docs/DefaultApi.md#create_user) | **POST** /users | Create a User
*DefaultApi* | [**delete_all_users**](docs/DefaultApi.md#delete_all_users) | **DELETE** /users | Delete all users
*DefaultApi* | [**delete_item**](docs/DefaultApi.md#delete_item) | **DELETE** /items/{id} | delete a Bridge Item
*DefaultApi* | [**delete_user**](docs/DefaultApi.md#delete_user) | **DELETE** /users/{uuid} | delete a User
*DefaultApi* | [**edit_user**](docs/DefaultApi.md#edit_user) | **PUT** /users/{uuid} | edit User credentials
*DefaultApi* | [**edit_user_password**](docs/DefaultApi.md#edit_user_password) | **PUT** /users/{uuid}/password | edit User password
*DefaultApi* | [**get_account**](docs/DefaultApi.md#get_account) | **GET** /accounts/{id} | get User Account
*DefaultApi* | [**get_account_transactions**](docs/DefaultApi.md#get_account_transactions) | **GET** /accounts/{id}/transactions | List Transactions By Account
*DefaultApi* | [**get_accounts**](docs/DefaultApi.md#get_accounts) | **GET** /accounts | get User Accounts
*DefaultApi* | [**get_all_banks**](docs/DefaultApi.md#get_all_banks) | **GET** /banks | get All banks
*DefaultApi* | [**get_bank**](docs/DefaultApi.md#get_bank) | **GET** /banks/{id} | get a single Bank
*DefaultApi* | [**get_categories**](docs/DefaultApi.md#get_categories) | **GET** /categories | List Categories
*DefaultApi* | [**get_email_validation_url**](docs/DefaultApi.md#get_email_validation_url) | **GET** /connect/users/email/confirmation/url | get the URL for email validation
*DefaultApi* | [**get_item**](docs/DefaultApi.md#get_item) | **GET** /items/{id} | get a single Bridge Item
*DefaultApi* | [**get_items**](docs/DefaultApi.md#get_items) | **GET** /items | get Bridge items
*DefaultApi* | [**get_transaction**](docs/DefaultApi.md#get_transaction) | **GET** /transactions/{id} | Get Transaction
*DefaultApi* | [**get_transactions**](docs/DefaultApi.md#get_transactions) | **GET** /transactions | List Transactions
*DefaultApi* | [**get_updated_account_transactions**](docs/DefaultApi.md#get_updated_account_transactions) | **GET** /accounts/{id}/transactions/updated | List Updated Transactions By Account
*DefaultApi* | [**get_updated_transactions**](docs/DefaultApi.md#get_updated_transactions) | **GET** /transactions/updated | List Updated Transactions
*DefaultApi* | [**list_users**](docs/DefaultApi.md#list_users) | **GET** /users | List users
*DefaultApi* | [**refresh_item**](docs/DefaultApi.md#refresh_item) | **POST** /items/{id}/refresh | Refresh a Bridge Item
*DefaultApi* | [**refresh_status**](docs/DefaultApi.md#refresh_status) | **GET** /items/{id}/refresh/status | get a Bridge Item refresh Status


## Documentation For Models

 - [Account](docs/Account.md)
 - [AccountResources](docs/AccountResources.md)
 - [AuthenticatedUser](docs/AuthenticatedUser.md)
 - [Bank](docs/Bank.md)
 - [BankCountry](docs/BankCountry.md)
 - [BankForm](docs/BankForm.md)
 - [CategoriesList](docs/CategoriesList.md)
 - [Category](docs/Category.md)
 - [EditUserCredentialsResponse](docs/EditUserCredentialsResponse.md)
 - [EmptyBody](docs/EmptyBody.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse2003Pagination](docs/InlineResponse2003Pagination.md)
 - [InlineResponse2004](docs/InlineResponse2004.md)
 - [IntegerIdResource](docs/IntegerIdResource.md)
 - [Item](docs/Item.md)
 - [LoanDetails](docs/LoanDetails.md)
 - [Mfa](docs/Mfa.md)
 - [Pagination](docs/Pagination.md)
 - [ParentBank](docs/ParentBank.md)
 - [ParentBanks](docs/ParentBanks.md)
 - [RefreshStatus](docs/RefreshStatus.md)
 - [Resource](docs/Resource.md)
 - [SavingsDetails](docs/SavingsDetails.md)
 - [Transaction](docs/Transaction.md)
 - [TransactionsList](docs/TransactionsList.md)
 - [User](docs/User.md)


## Documentation For Authorization


## Authorization

- **Type**: API key
- **API key parameter name**: authorization
- **Location**: HTTP header

## ClientId

- **Type**: API key
- **API key parameter name**: client_id
- **Location**: URL query string

## ClientSecret

- **Type**: API key
- **API key parameter name**: client_secret
- **Location**: URL query string


## Author




